curl --request DELETE \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/{walletId}/signaturePolicy/{policyId} \
--header 'Authorization: Bearer <token>'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"walletId": "95b11417-f18f-457f-8804-68e361f9164f",
"chain": "EVM",
"toAddresses": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"tokenAddresses": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"expiresAt": "2023-11-07T05:31:56Z",
"maxAmount": "<string>"
}curl --request DELETE \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/{walletId}/signaturePolicy/{policyId} \
--header 'Authorization: Bearer <token>'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"walletId": "95b11417-f18f-457f-8804-68e361f9164f",
"chain": "EVM",
"toAddresses": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"tokenAddresses": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"expiresAt": "2023-11-07T05:31:56Z",
"maxAmount": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
The ID of the signature policy for the wallet
WAAS signature policy deleted successfully
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
EVM, SVM, SUI, BTC, TON Array of allowed destination addresses
Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
Array of allowed token contract addresses
Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
Timestamp when the policy expires
Maximum amount allowed for transactions (as string to handle bigint). Must be a non-negative integer.
^[0-9]+$Was this page helpful?